Subject: Re: [bug#54268] Add cl-clog and its missing dependencies

From: Guillaume Le Vaillant <[email-masked]>
Date: Tue, 08 Mar 2022 13:19:15 +0000

Aurora via Guix-patches via <[email-masked]> skribis:

> I noticed after packaging & submitting it that Clog does have vendored
> copies of its JS dependencies.
>
> I reckon that'll need fixing.

Hi,

I pushed patches 1 to 5 as 3aa89989b084b65674cc603b393cd0144dd08abd and
following with a few modifications (harcoded git repository URLs, added
'file-name' fields, fixed some descriptions or license, added full
commit messages).

Concerning patch 6 adding cl-clog, I think you could first package
jQuery from https://jqueryui.com; then in the package definition for
cl-clog you could add a snippet removing the jQuery files and add
a phase creating links to the files from the jquery input.